Loading...
Searching...
No Matches
interpreter_support.h File Reference

Go to the source code of this file.

## Functions

void | export_interpreter ()

## Function Documentation

## export_interpreter()

void export_interpreter | ( |  | ) |

Definition at line 529 of file interpreter_support.cc.

{
def("get_idhdl", get_idhdl);
boost::python::class_<arg_list>("i_arg_list")
.def("append", &arg_list::appendPoly)
.def("append", &arg_list::appendArray)
.def("append", &arg_list::appendNumber)
.def("append", &arg_list::appendint)
.def("append", &arg_list::appendIdeal)
.def("append", &arg_list::appendModule)
.def("append", &arg_list::appendPrelist)
.def("append", &arg_list::appendVector)
.def("append", &arg_list::appendRing)
.def("append", &arg_list::appendIntvec)
.def("append", &arg_list::appendString);
boost::python::class_<idhdl_wrap>("interpreter_id")
.def("is_zero", &idhdl_wrap::is_zero)
.def("is_proc", &idhdl_wrap::id_is_proc)
.def("print_type", &idhdl_wrap::print_type)
.def("write", &idhdl_wrap::writePoly)
.def("write", &idhdl_wrap::writeArray)
.def("write", &idhdl_wrap::writeNumber)
.def("write", &idhdl_wrap::writeint)
.def("write", &idhdl_wrap::writeIdeal)
.def("write", &idhdl_wrap::writeModule)
.def("write", &idhdl_wrap::writeVector)
.def("write", &idhdl_wrap::writeList)
.def("write", &idhdl_wrap::writeString)
.def("write", &idhdl_wrap::writeIntvec)
.def("write", &idhdl_wrap::writeRing)
.def("__str__", idhdl_as_str);
def("call_interpreter_method",call_interpreter_method);
def("cbm",call_builtin_method_general);
def("transfer_to_python",buildPyObjectFromIdhdl);
def("is_builtin", is_builtin);
}
arg_list::appendint
void appendint(int p)
Definition interpreter_support.cc:118
arg_list::appendArray
void appendArray(const NumpyArrayType &f)
Definition interpreter_support.cc:139
arg_list::appendPrelist
void appendPrelist(arg_list &l)
Definition interpreter_support.cc:177
arg_list::appendNumber
void appendNumber(const Number &p)
Definition interpreter_support.cc:125
arg_list::appendVector
void appendVector(const Vector &p)
Definition interpreter_support.cc:132
arg_list::appendString
void appendString(const char *s)
Definition interpreter_support.cc:147
arg_list::appendIntvec
void appendIntvec(Intvec &iv)
Definition interpreter_support.cc:184
arg_list::appendModule
void appendModule(const Module &p)
Definition interpreter_support.cc:111
arg_list::appendPoly
void appendPoly(const Poly &p)
Definition interpreter_support.cc:97
arg_list::appendIdeal
void appendIdeal(const Ideal &p)
Definition interpreter_support.cc:104
arg_list::appendRing
void appendRing(const Ring &r)
Definition interpreter_support.cc:154
idhdl_wrap::writeIdeal
void writeIdeal(const Ideal &p)
Definition interpreter_support.cc:246
idhdl_wrap::writeList
void writeList(arg_list &f)
Definition interpreter_support.cc:320
idhdl_wrap::writePoly
void writePoly(const Poly &p)
Definition interpreter_support.cc:238
idhdl_wrap::writeString
void writeString(const char *s)
Definition interpreter_support.cc:304
idhdl_wrap::writeNumber
void writeNumber(const Number &p)
Definition interpreter_support.cc:269
idhdl_wrap::writeIntvec
void writeIntvec(const Intvec &iv)
Definition interpreter_support.cc:312
idhdl_wrap::writeVector
void writeVector(const Vector &p)
Definition interpreter_support.cc:277
idhdl_wrap::print_type
bool print_type()
Definition interpreter_support.cc:234
idhdl_wrap::writeArray
void writeArray(const NumpyArrayType &f)
Definition interpreter_support.cc:285
idhdl_wrap::writeRing
void writeRing(const Ring &r)
Definition interpreter_support.cc:294
idhdl_wrap::writeModule
void writeModule(const Module &p)
Definition interpreter_support.cc:254
idhdl_wrap::writeint
void writeint(int p)
Definition interpreter_support.cc:262
idhdl_wrap::id_is_proc
bool id_is_proc()
Definition interpreter_support.cc:230
idhdl_wrap::is_zero
bool is_zero()
Definition interpreter_support.cc:226
is_builtin
bool is_builtin(const char *name)
Definition interpreter_support.cc:56
call_builtin_method_general
boost::python::object call_builtin_method_general(const char *name, arg_list &l)
Definition interpreter_support.cc:463
idhdl_as_str
static boost::python::str idhdl_as_str(idhdl_wrap iw)
Definition interpreter_support.cc:514
get_idhdl
static idhdl_wrap get_idhdl(const char *n)
Definition interpreter_support.cc:524
call_interpreter_method
boost::python::object call_interpreter_method(const idhdl_wrap &proc, const arg_list &args)
Definition interpreter_support.cc:456
buildPyObjectFromIdhdl
boost::python::object buildPyObjectFromIdhdl(const idhdl_wrap &id)
Definition interpreter_support.cc:411